pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: [HEADS UP] Removing python24 and python25

On 12-03-02 12:22 PM, Greg Troxel wrote:
Sorry, I meant only 2.x.

It seems that no one expects all 2.x code to just work with 3.x.  But I
may be wrong on that too.

Not entirely true.  In fact, 2.7 has features and options to make
the transition smoother.  You can write your 2.7 code such that
it runs under 3.x in many cases.  They also have a 2to3 utility
to automate deeper changes.

In general though, I believe that developers have to choose between
2.x and 3.x for their basic development platform.

D'Arcy J.M. Cain <> IM:darcy%Vex.Net@localhost

Home | Main Index | Thread Index | Old Index